Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa
Class TransactionScopedAddressMapEntry

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.TransactionScopedAddressMapEntry

All Implemented Interfaces:
  Synchronization, Serializable

    public class TransactionScopedAddressMapEntry

extends Object
implements Synchronization

A utility class to register addresses for the duration of a transaction.

See Also:
  Serialized Form

Constructor Summary
`TransactionScopedAddressMapEntry(CompositeTransaction ct, OutgoingAddressingHeaders address, Map tidToAddressMap)` Creates and registers in the map and with the tx.

Method Summary
`void` | `afterCompletion(Object txstate)` Called after the overall outcome is known.
`void` | `beforeCompletion()` Called before prepare decision is made.
`static OutgoingAddressingHeaders` | `extractAddressFromMap(String tid, Map tidToAddressMap)` Extracts/removes from the given map

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionScopedAddressMapEntry

    public TransactionScopedAddressMapEntry(CompositeTransaction ct,
                                            OutgoingAddressingHeaders address,
                                            Map tidToAddressMap)

  Creates and registers in the map and with the tx.

  Parameters:
    `ct` - The transaction whose completion terminates this entry
    `address` - The address to register in the map, based on the TID
    `tidToAddressMap` - The map to register/remove in

Method Detail

### extractAddressFromMap

    public static OutgoingAddressingHeaders extractAddressFromMap(String tid,
                                                                  Map tidToAddressMap)

  Extracts/removes from the given map

  Parameters:
    `tid` -
    `tidToAddressMap` -
  Returns:
    The address, or null if not found.

### beforeCompletion

    public void beforeCompletion()

  Description copied from interface: `Synchronization`
  Called before prepare decision is made.

  Specified by:
    `beforeCompletion` in interface `Synchronization`
  See Also:
    `Synchronization.beforeCompletion()`

### afterCompletion

    public void afterCompletion(Object txstate)

  Description copied from interface: `Synchronization`
  Called after the overall outcome is known.

  Specified by:
    `afterCompletion` in interface `Synchronization`
  Parameters:
    `txstate` - The state of the coordinator after preparing. Equals either null ( readonly ), TxState.COMMITTING or TxState.ABORTING.
  See Also:
    `Synchronization.afterCompletion(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.